## stac-check 1.6.0+ds

=== Makefile ===
.PHONY: build
build:
	docker build \
		-t stac_check .

run_docker = docker run -it --rm \
		stac_check

.PHONY: shell
shell: 
	$(run_docker) /bin/bash

=== docs/requirements.txt ===
click>=8.0.0
requests>=2.19.1
jsonschema>=3.1.2b0
pytest>=6.2.4
stac-validator>=3.1.0
PyYAML>=5.4.1
python-dotenv>=0.17.1
types-setuptools>=57.4.0

## stac-check 1.3.3+ds

=== debian/changelog ===
stac-check (1.3.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Apr 2024 19:37:35 +0200

stac-check (1.3.3+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1050135).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 27 Aug 2023 08:19:26 +0000

=== debian/control ===
Source: stac-check
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               libjs-highlight.js <!nodoc>,
               python3-all,
               python3-click,
               python3-dotenv,
               python3-jsonschema,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-stac-validator,
               python3-yaml
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/stac-utils/stac-check
Vcs-Browser: https://salsa.debian.org/debian-gis-team/stac-check
Vcs-Git: https://salsa.debian.org/debian-gis-team/stac-check.git
Rules-Requires-Root: no
Description: Linting and validation tool for STAC assets
 stac-check is both a CLI tool and Python library.
 It adds additional linting and validation to the stac-validator project.
 .
 The intent of this project is to provide a linting tool that also
 follows the official STAC Best Practices document.

Package: python3-stac-check
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Suggests: python-stac-check-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-stac-check-doc
Section: doc
Architecture: all
Depends: libjs-highlight.js,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides documentation for stac-check.

Package: stac-check
Section: utils
Architecture: all
Depends: python3-stac-check (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} (CLI programs)
 ${source:Extended-Description}
 .
 This package provides CLI programs for stac-check.

## stac-check 1.4.0+ds

=== debian/changelog ===
stac-check (1.4.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - New 0003-Fix-syntax-warning.patch (CLoses: #1087098).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Nov 2024 11:46:58 +0000

stac-check (1.4.0+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - New 0002-No-pkg-resources.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Oct 2024 07:13:08 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx <!nodoc>,
                python3-stac-validator,
                python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/stac-utils/stac-check
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/stac-check

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stac_check
export PYBUILD_TEST_ARGS=-v -k "not test_linter_config_file \
                            and not test_linter_bad_assets \
                            and not test_linter_bad_links \
                            and not test_linter_bad_links_assets \
                            and not test_linter_collection \
                            and not test_linter_collection_no_summaries \
                            and not test_linter_catalog \
                            and not test_linter_collection_recursive \
                            and not test_linter_recursive_max_depth_1 \
                            and not test_linter_recursive_max_depth_4 \
                            and not test_linter_item_id_not_matching_file_name \
                            and not test_linter_collection_catalog_id \
                            and not test_linter_item_id_format_best_practices \
                            and not test_title_field \
                            and not test_lint_dict_collection \
                            and not test_lint_dict_item"
export PYBUILD_BEFORE_TEST=cp -r sample_files/ {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/sample_files/

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

execute_after_dh_install:
	$(RM) -r debian/python3-stac-check/usr/bin

## stac-check 1.5.0+ds

=== debian/changelog ===
stac-check (1.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on python3-requests-mock.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0002-No-pkg-resources.patch and
      0003-Fix-syntax-warning.patch, applied upstream.
    - Refresh remaining patches.
  * debian/rules:
    - Skip tests requiring access to the internet.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 21 Jan 2025 06:45:35 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stac_check
export PYBUILD_TEST_ARGS=-v \
-k "not test_linter_config_file \
and not test_linter_bad_assets \
and not test_linter_bad_links \
and not test_linter_bad_links_assets \
and not test_linter_collection \
and not test_linter_collection_no_summaries \
and not test_linter_catalog \
and not test_linter_collection_recursive \
and not test_linter_recursive_max_depth_1 \
and not test_linter_recursive_max_depth_4 \
and not test_linter_item_id_not_matching_file_name \
and not test_linter_collection_catalog_id \
and not test_linter_item_id_format_best_practices \
and not test_title_field \
and not test_lint_dict_collection \
and not test_lint_dict_item \
and not test_lint_header \
and not test_lint_assets_no_links"
export PYBUILD_BEFORE_TEST=cp -r sample_files/ {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/sample_files/

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

execute_after_dh_install:
	$(RM) -r debian/python3-stac-check/usr/bin

## stac-check 1.6.0+ds

=== debian/changelog ===
stac-check (1.6.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 18 Mar 2025 22:04:15 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-jsonschema,
                python3-pytest <!nocheck>,
                python3-requests,
+               python3-requests-mock <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-stac-validator,

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
repacksuffix=+ds \
https://github.com/stac-utils/stac-check/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## stac-check 1.11.1

=== Makefile ===
--- 
+++ 
@@ -9,3 +9,16 @@
 .PHONY: shell
 shell: 
 	$(run_docker) /bin/bash
+
+.PHONY: docs
+docs:           ## Build documentation locally
+	pip install -e ".[docs]"
+	sphinx-build -b html -E docs/ docs/_build/html
+	@echo "Documentation built in docs/_build/html"
+
+.PHONY: docker-docs
+docker-docs:    ## Build documentation inside Docker container
+	docker build -t stac_check .
+	docker run --rm -v $(PWD)/docs/_build:/app/docs/_build stac_check sphinx-build -b html -E docs/ docs/_build/html
+	@echo "Documentation built in docs/_build/html"
+	@echo "Docker documentation build complete."

=== docs/requirements.txt ===
sphinx>=8.2.3
sphinx_rtd_theme>=3.0.2
myst-parser>=4.0.1
sphinx-autodoc-typehints>=3.2.0

=== debian/changelog ===
stac-check (1.11.1-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * devian/control:
    - Add dependency on python3-stac-pydantic.
  * devian/patches:
    - New 0002-No-network.patch.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Feb 2026 17:53:18 +0000

stac-check (1.11.1-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * devian/control:
    - Mark python3-stac-check-doc as "Multi-Arch: foreign".

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Nov 2025 17:53:44 +0000

stac-check (1.11.1-2) unstable; urgency=medium

  * Fix d/watch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Aug 2025 16:55:01 +0000

stac-check (1.11.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Add dependencies on sphinx-click, sphinx_rtd_theme,
      myst-parser and sphinx-autodoc-typehints.
  * debian/copyright:
    - Update dates.
    - Drop no lenger needed exclusions.
  * debian/patches:
    - Update 0001-Fix-privacy-breachs.patch
  * debian/rules:
    - Skip tests requiring access to the internet.
    - Skip tests requiring stacpydantic (currently not
      available on debian).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Aug 2025 10:08:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: stac-check
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
@@ -12,19 +11,23 @@
                python3-click,
                python3-dotenv,
                python3-jsonschema,
+               python3-myst-parser <!nodoc>,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-requests-mock <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-sphinx-click <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-stac-pydantic,
                python3-stac-validator,
                python3-yaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/stac-utils/stac-check
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/stac-check
 Vcs-Git: https://salsa.debian.org/debian-gis-team/stac-check.git
-Rules-Requires-Root: no
 Description: Linting and validation tool for STAC assets
  stac-check is both a CLI tool and Python library.
  It adds additional linting and validation to the stac-validator project.
@@ -36,6 +39,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
+Recommends: python3-stac-pydantic
 Suggests: python-stac-check-doc
 Description: ${source:Synopsis}
  ${source:Extended-Description}
@@ -43,6 +47,7 @@
 Package: python-stac-check-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libjs-highlight.js,
          ${sphinxdoc:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stac_check
export PYBUILD_TEST_ARGS=-v -m "not network" $(CURDIR)/tests
export PYBUILD_BEFORE_TEST=cp -r sample_files/ {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/sample_files/

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

execute_after_dh_install:
	$(RM) -r debian/python3-stac-check/usr/bin
